Skip to main content
Version: Lastest

Reversal Detail

Reversal Detail

Chat with AI▼

You can use the API to view Reversal detail

EndPoint​

GET /credit-card/reversal/:creditCardReversalId

Header Params​

ParamRequiredTypeDescriptionNote
X-APPOTAPAY-AUTHrequiredString How to generate JWT_TOKEN
Content-TyperequiredStringValue: application/json
X-Request-IDoptionalStringUUIDv4 format. Request ID to check when a problem occursmax:42
LanguageoptionalStringThe value vi or en corresponding to the payment link will be Vietnamese or English, (default: vi)

in:vi,en

X-Account-Ref-IDoptionalString

Iidentifier of the sub account provided by AppotaPay.

Mandatory be passed over when processing payment for transactions of owner-type sub account

{
"X-APPOTAPAY-AUTH": "JWT_TOKEN",
"Content-Type": "application/json",
"X-Request-ID": "Your_Unique_id",
"Language": "vi",
"X-Account-Ref-ID": "9723f73b-9295-4acb-884b-ab6310c2e653"
}

Request Params​

URL Parameter​

ParametersRequirementData typeDescription
creditCardReversalIdrequiredStringUnique ID is returned by AppotaPay when merchant summits reversal request successfully or Reference ID is sent in the request by merchant

Query Parameter​

ParametersRequirementData typeDescription
referenceTypeoptionalString- APPOTAPAY_REFERENCE_ID Reversal ID returned by AppotaPay which can be retrieved from the charge response (request Create Charge API with capture:false) to retrieve the transaction detail (default value)
- MERCHANT_REFERENCE_ID Reference ID submitted by the merchant during reversal transaction

Response Params​

{
"reversalId": "01HQHS26CFK4CEGE2QW0PATV5B",
"authorizationId": "01HQHRZQNJE4BWRB8P9P5Z8BE7",
"merchantRefId": "MufRIHgy11",
"amount": 1000000,
"currency": "VND",
"status": "success",
"createdAt": "2024-02-26T10:59:13+07:00",
"updatedAt": "2024-02-26T10:59:15+07:00",
"reversedAt": "2024-02-26T10:59:14+07:00"
}

Success​

Http Status Code 200 - OK

The response is the same with Reverse Authorization API

Error​

HTTP Status Code != 200

Code Examples​

curl --location 'https://gateway.dev.appotapay.com/credit-card/reversal/:creditCardReversalId' \
--header 'X-APPOTAPAY-AUTH: JWT_TOKEN' \
--header 'Content-Type: application/json' \
--header 'X-Request-ID: Your_Unique_id' \
--header 'Language: vi' \
--header 'X-Account-Ref-ID: 9723f73b-9295-4acb-884b-ab6310c2e653'

Request​

REQUEST

Development server
The value corresponding to the payment link can be in Vietnamese or English (default: vi)